EventBuffer::prepend
EventBuffer::pullup
EventBuffer
PHP Manual

# EventBuffer::prependBuffer

(PECL event >= 1.2.6-beta)

EventBuffer::prependBuffer — Moves all data from source buffer to the front of current buffer

### Description

public bool EventBuffer::prependBuffer ( EventBuffer `$buf` )

Behaves as EventBuffer::addBuffer() , except that it moves data to the front of the buffer.

### Parameters

`buf`

  Source buffer.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

### See Also

- EventBuffer::add() - Append data to the end of an event buffer
- EventBuffer::addBuffer() - Move all data from a buffer provided to the current instance of EventBuffer
- EventBuffer::prepend() - Prepend data to the front of the buffer

EventBuffer::prepend
EventBuffer::pullup
EventBuffer
PHP Manual